org.apache.pdfbox.contentstream.operator.markedcontent

## Class MarkedContentPointWithProperties

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.markedcontent.MarkedContentPointWithProperties

    public class MarkedContentPointWithProperties
    extends OperatorProcessor

Author:
  Tilman Hausherr

### Constructor Summary

Constructors
Constructor and Description
`MarkedContentPointWithProperties(PDFStreamEngine context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Returns the name of this operator, e.g.
`void` `process(Operator operator, List<COSBase> operands)` Process the operator.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkedContentPointWithProperties

    public MarkedContentPointWithProperties(PDFStreamEngine context)

### Method Detail

#### process

    public void process(Operator operator,
                        List<COSBase> operands)
                 throws IOException

Description copied from class: `OperatorProcessor`
Process the operator.

Specified by:
  `process` in class `OperatorProcessor`
Parameters:
  `operator` - the operator to process
  `operands` - the operands to use when processing
Throws:
  `IOException` - if the operator cannot be processed

#### getName

    public String getName()

Description copied from class: `OperatorProcessor`
Returns the name of this operator, e.g. "BI".

Specified by:
  `getName` in class `OperatorProcessor`
Returns:
  the name of the operator